package com.brilliance.isc.common.rmbbop.model;

import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tfagrp extends AbstractCommonVo implements IRecgrp {
    private Tfa ads;

    private List<Tfc> tfc;
    private List<Tfd> tfd;
    private List<Tfe> tfe;
    private List<Tff> tff;
    private List<Tfg> tfg;
    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tfa();
        }
        ads.reset();
    }
}
